# brush.h File Reference

## Classes

class | wxBrush
| A brush is a drawing tool for filling in areas. More...
class | wxBrushList
| A brush list is a list containing all brushes which have been created. More...

## Enumerations

enum

wxBrushStyle {
wxBRUSHSTYLE_INVALID = -1,
wxBRUSHSTYLE_SOLID = wxSOLID,
wxBRUSHSTYLE_TRANSPARENT = wxTRANSPARENT,
wxBRUSHSTYLE_STIPPLE_MASK_OPAQUE = wxSTIPPLE_MASK_OPAQUE,
wxBRUSHSTYLE_STIPPLE_MASK = wxSTIPPLE_MASK,
wxBRUSHSTYLE_STIPPLE = wxSTIPPLE,
wxBRUSHSTYLE_BDIAGONAL_HATCH = wxBDIAGONAL_HATCH,
wxBRUSHSTYLE_CROSSDIAG_HATCH = wxCROSSDIAG_HATCH,
wxBRUSHSTYLE_FDIAGONAL_HATCH = wxFDIAGONAL_HATCH,
wxBRUSHSTYLE_CROSS_HATCH = wxCROSS_HATCH,
wxBRUSHSTYLE_HORIZONTAL_HATCH = wxHORIZONTAL_HATCH,
wxBRUSHSTYLE_VERTICAL_HATCH = wxVERTICAL_HATCH,
wxBRUSHSTYLE_FIRST_HATCH = wxFIRST_HATCH,
wxBRUSHSTYLE_LAST_HATCH = wxLAST_HATCH
}

| The possible brush styles. More...

## Variables

wxBrush | wxNullBrush
| An empty brush.
wxBrush * | wxBLUE_BRUSH
| Blue brush.
wxBrush * | wxGREEN_BRUSH
| Green brush.
wxBrush * | wxYELLOW_BRUSH
| Yellow brush.
wxBrush * | wxWHITE_BRUSH
| White brush.
wxBrush * | wxBLACK_BRUSH
| Black brush.
wxBrush * | wxGREY_BRUSH
| Grey brush.
wxBrush * | wxMEDIUM_GREY_BRUSH
| Medium grey brush.
wxBrush * | wxLIGHT_GREY_BRUSH
| Light grey brush.
wxBrush * | wxTRANSPARENT_BRUSH
| Transparent brush.
wxBrush * | wxCYAN_BRUSH
| Cyan brush.
wxBrush * | wxRED_BRUSH
| Red brush.
wxBrushList * | wxTheBrushList
| The global wxBrushList instance.

## Enumeration Type Documentation

enum wxBrushStyle

The possible brush styles.

Enumerator:

  wxBRUSHSTYLE_INVALID |
  wxBRUSHSTYLE_SOLID | Solid.
  wxBRUSHSTYLE_TRANSPARENT | Transparent (no fill).
  wxBRUSHSTYLE_STIPPLE_MASK_OPAQUE | Uses a bitmap as a stipple; the mask is used for blitting monochrome using text foreground and background colors.
  wxBRUSHSTYLE_STIPPLE_MASK | Uses a bitmap as a stipple; mask is used for masking areas in the stipple bitmap.
  wxBRUSHSTYLE_STIPPLE | Uses a bitmap as a stipple.
  wxBRUSHSTYLE_BDIAGONAL_HATCH | Backward diagonal hatch.
  wxBRUSHSTYLE_CROSSDIAG_HATCH | Cross-diagonal hatch.
  wxBRUSHSTYLE_FDIAGONAL_HATCH | Forward diagonal hatch.
  wxBRUSHSTYLE_CROSS_HATCH | Cross hatch.
  wxBRUSHSTYLE_HORIZONTAL_HATCH | Horizontal hatch.
  wxBRUSHSTYLE_VERTICAL_HATCH | Vertical hatch.
  wxBRUSHSTYLE_FIRST_HATCH |
  wxBRUSHSTYLE_LAST_HATCH |

## Variable Documentation

wxBrush* wxBLACK_BRUSH

Black brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

wxBrush* wxBLUE_BRUSH

Blue brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

wxBrush* wxCYAN_BRUSH

Cyan brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

wxBrush* wxGREEN_BRUSH

Green brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

wxBrush* wxGREY_BRUSH

Grey brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

wxBrush* wxLIGHT_GREY_BRUSH

Light grey brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

wxBrush* wxMEDIUM_GREY_BRUSH

Medium grey brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

wxBrush wxNullBrush

An empty brush.

wxBrush::IsOk() always returns false for this object.

wxBrush* wxRED_BRUSH

Red brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

wxBrushList* wxTheBrushList

The global wxBrushList instance.

wxBrush* wxTRANSPARENT_BRUSH

Transparent brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

wxBrush* wxWHITE_BRUSH

White brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

wxBrush* wxYELLOW_BRUSH

Yellow brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

|  | [ top ]